using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace OpenWarehouse.auth.api.Data;

[Index(nameof(Token), IsUnique = true)]
public class RegisterToken
{
    public RegisterToken()
    {
        IsUsed = false;
        
    }
    
    [Key]
    public long Id { get; set; }
    [Required]
    public string? Token { get; set; }

    public ApplicationUser? Creator { get; set; }
    public List<ApplicationRole>? AvaliableRole { get; set; }
    [DefaultValue(false)]
    [Required]
    public bool IsUsed { get; set; } 
    
}